---
name: John McDonnell
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/engineering/software-engineer-in-test/">Senior
  Software Engineer in Test</a>, Systems:Gitaly
reports_to: ksvoboda
picture: johnmcdonnell.jpg
pronouns: he/him
pronunciation:
twitter:
linkedin: johnmcdonnell439
gitlab: john.mcdonnell
division: Engineering
departments:
- Platforms
- Infrastructure Department
- Test Platform sub-department
- Self-Managed Platform team
- Core Platform Sub-department
specialty:
- 'Systems: Gitaly'
expertise:
projects:
  gitlab: trainee_maintainer qa
  gitlab-qa: trainee_maintainer
  gitlab_quality-test_tooling: reviewer
story: 'John is passionate about quality and efficiency, to deliver an optimal experience
  to the customer. While not working, John enjoys hiking, running and photography. '
job_title: Senior Software Engineer in Test
public: true

